'use strict';

var backendPluginApi = require('@backstage/backend-plugin-api');
var alpha = require('@backstage/plugin-catalog-node/alpha');
var ScaffolderEntitiesProcessor = require('./processor/ScaffolderEntitiesProcessor.cjs.js');

const catalogModuleScaffolderEntityModel = backendPluginApi.createBackendModule({
  pluginId: "catalog",
  moduleId: "scaffolder-entity-model",
  register(env) {
    env.registerInit({
      deps: {
        catalog: alpha.catalogProcessingExtensionPoint
      },
      async init({ catalog }) {
        catalog.addProcessor(new ScaffolderEntitiesProcessor.ScaffolderEntitiesProcessor());
      }
    });
  }
});

exports.catalogModuleScaffolderEntityModel = catalogModuleScaffolderEntityModel;
//# sourceMappingURL=module.cjs.js.map
